Eclipse Platform Release 3.7

## org.eclipse.jface.dialogs
Class ControlAnimator

    java.lang.Object
      org.eclipse.jface.dialogs.ControlAnimator

    public class ControlAnimator

extends Object

ControlAnimator provides a simple implementation to display or hide a control at the bottom of the parent composite. Other animations will be written as subclasses of this class.

Instances of this class can be created using an AnimatorFactory.

Since:
  3.2

Field Summary
`protected Control` `control` the control that will be displayed or hidden

Constructor Summary
`ControlAnimator(Control control)` Constructs a new ControlAnimator instance and passes along the control that will be displayed or hidden.

Method Summary
`void` `setVisible(boolean visible)` Displays or hides a control at the bottom of the parent composite and makes use of the control's SWT visible flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### control

    protected Control control

  the control that will be displayed or hidden

Constructor Detail

### ControlAnimator

    public ControlAnimator(Control control)

  Constructs a new ControlAnimator instance and passes along the control that will be displayed or hidden.

  Parameters:
    `control` - the control that will be displayed or hidden.

Method Detail

### setVisible

    public void setVisible(boolean visible)

  Displays or hides a control at the bottom of the parent composite and makes use of the control's SWT visible flag.

  Subclasses should override this method.

  Parameters:
    `visible` - `true` if the control should be shown, and `false` otherwise.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.